[![pipeline status](https://gitlab.com/caosdb/caosdb-pyinttest/badges/dev/pipeline.svg?job=codestyle)](https://gitlab.com/caosdb/caosdb-pyinttest/commits/dev)

# Welcome

This is the **CaosDB Python Integration Tests** repository and a part of the
CaosDB project.

# Getting started #

- To run tests, start up a CaosDB server with the following properties (documentation for this can
  be found elsewhere):
  - The CaosDB server must have debugging enabled.
  - The database should be empty.
- Modify `pycaosdb.ini.template` and save it as `pycaosdb.ini`, taking care of the following points:
  - Certificates must be valid and be specified in `pycaosdb.ini`.
  - Server-side scripting paths must be given, otherwise server-side scripting will be omitted.
- Run the tests with `pytest` or `pytest-3` (depending on your system).
- If you want to run just a single test, you can also select a single test file:  
  `pytest-3 tests/test_issues.py`

## Run tests agains a remote caosdb server

* There is a special mark `local_server`, which marks all test which cannot
  pass when the server is not on the host where the test suite is running.
* Start tests with `pytest -m "not local_server"` or
  `tox -- -m "not local_server"`.

# Further Reading

Please refer to the [official gitlab repository of the CaosDB
project](https://gitlab.com/caosdb/caosdb) for more information.

# License

Copyright (C) 2018 Research Group Biomedical Physics, Max Planck Institute for
Dynamics and Self-Organization Göttingen.
Copyright (C) 2021 Indiscale GmbH <info@indiscale.com>

All files in this repository are licensed under the [GNU Affero General Public
License](LICENCE.md) (version 3 or later).

